/* ==== 공통 ==== */
@media (max-width: 1400px) {
  .header.pc-only {
    width: 18%;
    padding: 60px 30px;
  }
  .footer {
    width: 8%;
  }
}
@media (max-width: 1200px) {
  .header.pc-only {
    width: 12%;
    padding: 60px 20px;
  }
  .pc-only .logo a svg {
    width: 50px;
  }
  .pc-only nav ul {
    gap: 18px;
  }
  .pc-only nav ul li a i {
    width: 30px;
    height: 30px;
    margin-left: 6px;
  }
  .pc-only ul li a span {
    display: none;
  }
  .contact-area {
    position: relative;
  }
  .contact-area .contact-info {
    position: absolute;
    bottom: 30px;
    left: 0;
    z-index: 10;
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    backdrop-filter: blur(4px);
    padding: 10px;
  }
  .contact-area .contact-info p {
    font-size: 11px;
    line-height: 1.4;
    white-space: nowrap;
  }
  .contact-area .contact .arrow {
    width: 18px;
    height: 18px;
    margin-top: 0;
    margin-left: 2px;
  }
  .contact-area .contact span {
    display: none;
  }
  .footer {
    width: 8%;
  }
  .footer p {
    margin-right: 3px;
    font-size: 14px;
  }
}
@media (max-width: 1000px) {
  .content .container {
    width: 95%;
  }
}
@media (max-width: 768px) {
  #wrap {
    display: block;
  }
  .content {
    padding: 0;
  }
  .page-title {
    display: block;
    text-align: center;
    margin-bottom: 20px;
  }
  /* pc-only */
  .pc-only {
    display: none !important;
  }
  /* mobile-header */
  .mobile-header {
    display: block;
  }
  .mobile-header-wrap {
    width: 100%;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
  }
  .mobile-header .mb-logo svg {
    width: 50px;
    height: auto;
  }
  .mobile-header .mb-logo svg path {
    fill: #40A8D3;
  }
  .mb-menu-btn {
    background: none;
    border: none;
    cursor: pointer;
  }
  /* mobile-menu */
  .mobile-menu-overlay {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(30, 30, 30, 0.9);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    z-index: 999;
    padding: 20px 15px 60px 20px;
    overflow-y: auto;
    transform: translateX(100%);
    transition: transform 0.4s ease-in-out;
  }
  .mobile-menu-overlay.active {
    transform: translateX(0);
  }

  /* mobile-menu-header */
  .mobile-menu-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 60px;
  }
  .mb-close-btn {
    background: none;
    border: none;
    cursor: pointer;
  }

  /* mobile-menu-list */
  .mobile-menu-list {}
  .mobile-menu-list ul {}
  .mobile-menu-list ul li {
    margin-bottom: 25px;
  }
  .mobile-menu-list ul li a {
    display: flex;
    align-items: center;
    color: #fff;
    font-size: 24px;
    font-weight: 500;
    gap: 12px;
  }
  .mobile-menu-list ul li a i {
    display: inline-block;
    width: 30px;
    height: 30px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    transition: all 0.3s;
  }
  /* Web/App 아이콘 */
  .icon-web-app {
    background-image: url('../images/icon-web.svg');
  }
  .icon-web-app.active {
    background-image: url('../images/icon-web-fill.svg');
  }

  /* Design 아이콘 */
  .icon-design-works {
    background-image: url('../images/icon-design.svg');
  }
  .icon-design-works.active {
    background-image: url('../images/icon-design-fill.svg');
  }

  /* About 아이콘 */
  .icon-about {
    background-image: url('../images/icon-about.svg');
  }
  .icon-about.active {
    background-image: url('../images/icon-about-fill.svg');
  }

  /* mobile-menu-footer */
  .mobile-menu-footer {
    margin-top: auto;
  }
  .mobile-menu-contact-info {
    display: none;
  }
  .mobile-menu-contact-info p {
    font-size: 14px;
    color: #979797;
    line-height: 1.45;
  }
  .mobile-menu-contact {
    margin-top: 15px;
    display: flex;
    align-items: center;
    gap: 7px;
    cursor: pointer;
  }
  .mobile-menu-contact .mb-icon-contact {
    background: url(../images/icon-contact.svg) no-repeat center/cover;
    width: 22px;
    height: 22px;
    transition: all 0.3s;
  }
  .mobile-menu-contact.active .mb-icon-contact {
    background-image: url(../images/icon-contact-fill.svg);
  }
  .mobile-menu-contact span {
    color: #ccc;
    font-size: 18px;
    font-weight: 500;
  }
  .mobile-menu-contact .mb-arrow {
    display: block;
    width: 7px;
    height: 7px;
    border-left: 2px solid #fff;
    border-top: 2px solid #fff;
    transform: rotate(225deg);
    margin-top: 2px;
    margin-left: 4px;
    transition: transform 0.3s ease;
  }
  .mobile-menu-contact.active .mb-arrow {
    transform: rotate(405deg);   
    margin-top: 6px; 
  }
}

/* ==== VISUAL ==== */
@media (max-width: 1400px) {
  .visual .container {
    width: 96%;
  }
  .webAppSwiper {
    margin-top: 94px;
    width: 88%;
  }
}
@media (max-width: 1200px) {
  .visual {
    padding: 20px 0;
  }
  /* 타이포 */
  .visual-title {
    height: 18vh;
  }
  #animated {
    font-size: 1.9rem;
    line-height: 45px;
  }

  /* 모듈 */
  .module {
    grid-template-rows: auto; 
    aspect-ratio: auto;
    gap: 18px;
  }
  .module .card .card-header span {
    font-size: 22px;
  }
  .module .card .card-header .go-btn {
    width: 42px;
    height: 42px;
    background-size: 14px 14px;
  }
  /* me */
  .module .me {
    grid-column: 1/4;
    grid-row: 1/2;
    aspect-ratio: 1/1;
    background-position: center bottom;
  }
  /* about */
  .module .about {
    grid-column: 4/10;
    grid-row: 1/2;
  }
  .module .about p.desc {
    margin-top: 30px;
    font-size: 20px;
    font-weight: 300;
}
  /* like-dog */
  .module .like-dog {
    grid-column: 10/13;
    grid-row: 1/2;
  }
  .module .like-dog .tags {
    font-size: 16px;
    line-height: 1.4;
  }
  /* like-game */
  .module .like-game {
    grid-column: 1/7;
    grid-row: 2/3;
    aspect-ratio: 2/1;
  }
  .module .like-game .tags {
    font-size: 16px;
  }
  /* like-nature */
  .module .like-nature {
    grid-column: 7/13;
    grid-row: 2/3;
    aspect-ratio: 2/1;
  }
  .module .like-nature .tags {
    font-size: 16px;
  }
  /* web-app-works */
  .module .web-app-works {
    grid-column: 1/9;
    grid-row: 3/4;
    aspect-ratio: 2/1;
    background-position: center 100px;
    background-size: 80%;
  }
  /* design-works */
  .module .design-works {
    grid-column: 9/13;
    grid-row: 3/4;
    background-position: -10px 130px;
    background-size: 80%;
  }
  /* tech */
  .module .tech {
    grid-row: 4/5;
    aspect-ratio: 1/1;
  }
  .module .html  { grid-column: 1/3; }
  .module .css   { grid-column: 3/5; }
  .module .js    { grid-column: 5/7; }
  .module .ps    { grid-column: 7/9; }
  .module .ai    { grid-column: 9/11; }
  .module .figma { grid-column: 11/13; }
  .module .tech {
    gap: 20px;
  }
  .module .tech img { width: 40%;}
  .module .tech span {
    font-size: 18px;
  }
}
@media (max-width: 1000px) {
  /* web-app-works */
  .module .web-app-works {
    background-position: center 90px;
    background-size: 77%;
  }
  /* design-works */
  .module .design-works {
    background-position: -10px 100px;
    background-size: 82%;
  }
}
@media (max-width: 768px) {
  .visual {
    display: block;
    padding: 20px 0 0 0;
    min-height: 90vh;
    position: relative;
  }
  .visual .container {
    padding: 0 20px;
    width: 100%;
  }

  /* 타이포 & 사진 */
  .visual-title {
    height: 30vh;
    flex-direction: column;
    margin-bottom: 30px;
  }
  .visual-title::before {
    flex-shrink: 0;
    content: '';
    display: block;
    width: 120px;
    height: 120px;
    background: url('../images/me2-2.png') no-repeat bottom;
    background-size: 100px 100px;
    border-radius: 50%;
    border: 1px solid #ccc;
    margin-bottom: 15px;
  }
  #animated {
    flex-basis: 52%;
    font-size: 1.3rem;
    line-height: 32px;
  }
  .mo-br {
    display: inline;
  }

  /* 묘듈 */
  .module {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: auto;
    gap: 12px;
    width: 100%;
  }
  .module .card {
    border-radius: 10px;
    padding: 10px 10px 10px 20px;
  }
  .module .card:hover {
    box-shadow: none;
    transform: none;
  }
  .module .card .card-header span {
    font-size: 14px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: calc(100% - 40px);
    display: block;
  }
  .module .card .card-header .go-btn {
    width: 34px;
    height: 34px;
    background-size: 10px 10px;
    flex-shrink: 0;
  }
  .module .card:hover .card-header .go-btn {
    transform: translate(3px, -3px);
  }

  /* --- [숨김 처리] --- */
  .pc-only-card {
    display: none !important;
  }

  .mobile-interest-swiper {
    display: block !important;
    grid-column: 1 / 4;
    grid-row: 1 / 4;
    
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin: 0;
  }
  .mobile-interest-swiper .swiper-slide {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
  }
  .mobile-interest-swiper .swiper-slide .tags {
    font-size: 13px;
  }

  /* tech */
  .module .tech {
    padding: 0;
    aspect-ratio: 1/1;
  }
  .module .tech img { display: none; }
  .module .tech span {
    font-size: 12px;
    font-weight: 500;
    color: #eee;
    text-transform: uppercase;
  }
  .module .html  { grid-column: 4/5; grid-row: 1/2; }
  .module .css   { grid-column: 5/6; grid-row: 1/2; }
  .module .js    { grid-column: 6/7; grid-row: 1/2; }
  .module .ps    { grid-column: 4/5; grid-row: 2/3; }
  .module .ai    { grid-column: 5/6; grid-row: 2/3; }
  .module .figma { grid-column: 6/7; grid-row: 2/3; }

  /* about */
  .module .about {
    grid-column: 4 / 7;
    grid-row: 3 / 4;
    height: 60px;
  }
  .module .about .desc, 
  .module .about #physics-area { display: none; }
  

  /* web-app-works */
  .module .web-app-works {
    grid-column: 1 / 4;
    grid-row: 4 / 5;
    height: 60px;
    aspect-ratio: 0;
    background-image: none;
  }

  /* design-works */
  .module .design-works {
    grid-column: 4 / 7;
    grid-row: 4 / 5;
    height: 60px;
    background-image: none;
  }

  /* 홈 화면 아래쪽 contact */
  .mobile-contact {
    position: absolute;
    bottom: 30px;
    left: 0;
    width: 100%;
    display: block;
    width: 100%;
    color: #fff;
  }
  .mobile-contact-info {
    display: none;
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 999;
    text-align: center;
    font-size: 14px;
    line-height: 1.6;
    color: #ccc;
    font-weight: 200;
    white-space: nowrap;
    background-color: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    backdrop-filter: blur(4px);
    padding: 10px 25px;
  }
  .mobile-contact-btn {
    cursor: pointer;
    font-size: 18px;
    font-weight: 500;
    color: #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 20px;
  }
  .mobile-contact-btn .arrow {
    width: 20px;
    height: 20px;
    color: #C9C9C9;
    background-image: url(../images/arrow.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin-top: 3px;
    margin-left: 5px;
    transition: all 0.3s;
    }
  .mobile-contact-btn.active .arrow {
    transform: rotate(180deg);
  }
}

/* ==== WEB/APP ==== */
@media (max-width: 1400px) {
  .works-list .mix .thumb {
    aspect-ratio: 1.5 / 1;
  }
}
@media (max-width: 1200px) {
  .filter-btn {
    padding: 9px 15px;
    font-size: 15px;
  }
  .works-list .mix .thumb {
    aspect-ratio: 1.5 / 1;
  }
  .works-list .mix .thumb h3 {
    font-size: 24px;
  }
  .works-list .mix .btn-wrap ul li a {
    padding: 8px 0;
    border-radius: 6px;
  }
  .web-modal-wrap {
    padding: 70px 40px 0 40px;
    gap: 50px;
  }
  .webAppSwiper {
    margin-top: 90px;
    width: 75%;
  }

  .webAppSwiper .swiper-slide {
    border-radius: 30px;
  }
}
@media (max-width: 1000px) {
  .works-list {
    grid-template-columns: repeat(2, 1fr);
  }
  .works-list .mix .thumb {
    aspect-ratio: 1.7 / 1;
  }
  .works-list .mix .work-info {
    padding: 20px 15px;
    gap: 15px;
  }
  .works-list .mix .btn-wrap ul li a {
    padding: 8px 0;
  }
  .web-modal-wrap {
    padding: 50px 40px 0 40px;
    gap: 40px;
  }
  .webAppSwiper {
    margin-top: 77px;
    width: 76%;
  }
  .webAppSwiper .swiper-slide {
    border-radius: 12px;
  }
}
@media (max-width: 650px) {
  .works-list .mix .thumb {
    aspect-ratio: 1.5 / 1;
  }
}
@media (max-width: 535px) {
  .web-app-content .works-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
  .works-list .mix {
    width: 100%;
    height: auto;
    aspect-ratio: auto;
  }
  .works-list .mix .thumb {
    aspect-ratio: 1.7 / 1;
    flex-shrink: 0;
    flex-grow: 0;
  }
  .works-list .mix .thumb::before {
    filter: none;
    background-image: none;
    transition: none;
  }
  .works-list .mix .thumb .tag-wrap {
    top: 20px;
    gap: 7px;
  }
  .works-list .mix .thumb .tag {
    font-size: 14px;
    padding: 7px 14px;
  }
  .works-list .mix .thumb h3 {
    bottom: 20px;
    font-size: 28px;
  }
  .works-list .mix .work-info {
    padding: 20px 20px;
    gap: 15px;
  }
  .works-list .mix .work-info .desc {
    font-size: 17px;
    line-height: 1.3;
  }
  .works-list .mix .work-info .meta li {
    font-size: 15px;
    line-height: 1.5;
  }
  .works-list .mix .work-info .meta li .label {
    width: 4.7em;
    margin-right: 4.7px;
  }
  .works-list .mix .btn-wrap ul {
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
  }
  .works-list .mix .btn-wrap ul li a {
    padding: 12px 0;
    border-radius: 7px;
    font-size: 14px;
  }
  .web-modal-wrap {
    padding: 40px 15px 0 15px;
    gap: 20px;
  }
  .label-badge {
    font-size: 12px;
    padding: 5px 8px;
    margin-bottom: 15px;
  }
  .title-area .sub-title {
    font-size: 20px;
  }
  .title-area .main-title {
    font-size: 30px;
  }
}

/* ==== DESIGN ==== */
@media (max-width: 1500px) {
  .design-modal-wrap {
    padding: 100px 40px 0 40px;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 40px;
    
    height: 100vh;
    overflow-y: auto
  }
  .modal-left {
    width: 100%;
    max-width: 985px;
    padding-bottom: 0;
    flex-shrink: 0;
  }
  .info-grid {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px 40px;
    margin-top: 30px;
  }

  .modal-right {
    width: 100%;
    max-width: 985px;
    height: auto;      
    overflow: visible; 
  }
}
@media (max-width: 1200px) {
  .design-content .works-list {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media (max-width: 1000px) {
  .design-modal-wrap {
    padding: 50px 40px 0 40px;
    gap: 40px;
  }
}
@media (max-width: 768px) {
  .content.design-content {
    display: block;
    min-height: auto;
  }
  .works-list .card .thumb {
    width: 100%;
    min-height: 230px;
    aspect-ratio: 6 / 4;
  }
}
@media (max-width: 580px) {
  .design-content .works-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }
}
@media (max-width: 535px) {
  .design-modal-wrap {
    padding: 40px 15px 0 15px;
    gap: 25px;
  }
  .modal-left {
    gap: 0px;
  }
  .title-area .desc {
    margin-top: 15px;
    font-size: 14px;
    line-height: 1.4;
  }
  .info-grid {
    display: block;
    margin-top: 5px;
  }
  .info-item {
    margin-top: 15px;
    gap: 20px;
  }
  .info-label {
    width: 75px;
    font-size: 13px;
    padding: 5px 10px;
    white-space: nowrap;
  }
  .info-content {
    font-size: 14px;
    gap: 8px;
  }
  .color-swatch {
    gap: 6px;
  }
  .swatch {
    width: 23px;
    height: 23px;
  }
}

/* ==== ABOUT ==== */
@media (max-width: 1400px) {
  .content .content-module {
    aspect-ratio: auto;
    padding: 60px 0;
  }
  .date {
    font-size: 13px;
    line-height: 1.3;
  }
  .about-desc {
    font-size: 13px;
    line-height: 1.3;
  }
  .mind .mind-wrap {
    gap: 15px;
  }
  .mind p {
    font-size: 13px;
    line-height: 1.3;
  }
  .skills {
    gap: 22px;
  }
}
@media (max-width: 1300px) {
  .profile-info {
    padding: 25px 25px;
  }
  .profile-info .name-box {
    gap: 7px;
  }
  .profile-info .name-box h2 {
    font-size: 29px;
  }
  .profile-info .name-box span {
    font-size: 13px;
  }
  .profile-info .info-list li {
    font-size: 13px;
    margin-top: 5px;
  }
  .skills .progress-area {
    gap: 25px 0;
  }
}
@media (max-width: 1200px) {
  .content .content-module {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    gap: 20px;
    height: auto;
    aspect-ratio: auto;
  }
  .profile-photo {
    grid-column: 1 / 2;
    grid-row: 1 / 3;
    aspect-ratio: 1 / 1.2;
  }
  .profile-info {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
  }
  .deco {
    grid-column: 2 / 3;
    grid-row: 2 / 3;
  }
  .mind {
    grid-column: 1 / 3;
    grid-row: 3 / 4;
  }
  .education {
    grid-column: 1 / 3;
    grid-row: auto;
  }
  .license {
    grid-column: 2 / 3;
    grid-row: 5 / 6;
  }
  .experience {
    grid-column: 1 / 2;
    grid-row: 5 / 6;
  }
  .skills {
    grid-column: 1 / 3;
    grid-row: 6 / 7;
  }
  .skills .progress-area .progress {
    flex-basis: 30%;
  }
  .profile-info {
    padding: 35px 30px;
  }
  .profile-info .name-box {
    gap: 15px;
  }
  .profile-info .name-box h2 {
    font-size: 42px;
  }
  .profile-info .name-box span {
    font-size: 20px;
  }
  .profile-info .info-list li {
    font-size: 17px;
    margin-top: 7px;
  }
  .mind .mind-wrap {
    gap: 30px;
  }
  .mind p {
    font-size: 14px;
  }
  .date {
    font-size: 16px;
    line-height: 1.4;
    min-width: 160px;
  }
  .about-desc {
    font-size: 16px;
    line-height: 1.4;
  }
  .nowrap {
    display: none;
  }
  .education ul li {
    gap: 47px;
    margin-bottom: 12px;
  }
  .education ul li .date {
    white-space: nowrap;
  }
  .license ul li {
    gap: 25px;
  }
  .license ul li .date {
    min-width: 70px;
  }
  .experience ul li {
    gap: 20px;
  }
  .skills .progress-area .progress {
    flex-basis: 31%;
  }
  .skills .progress-area .progress > svg {
    margin-top: 3px;
  }
}
@media (max-width: 900px) {
  .profile-info {
    padding: 30px 25px;
  }
  .profile-info .name-box {
    gap: 10px;
  }
  .profile-info .name-box h2 {
    font-size: 38px;
  }
  .profile-info .name-box span {
    font-size: 18px;
  }
  .profile-info .info-list li {
    font-size: 15px;
    margin-top: 5px;
  }
  .mind .mind-wrap {
    gap: 25px;
  }
  .mind strong {
    font-size: 15px;
  }
  .mind p {
    font-size: 13px;
  }
  .date {
    font-size: 13px;
    line-height: 1.3;
    min-width: 130px;
  }
  .about-desc {
    font-size: 13px;
    line-height: 1.3;
  }
  .education ul li {
    gap: 40px;
    margin-bottom: 10px;
  }
  .license ul li .date {
    min-width: 50px;
  }
  .skills .progress-area .progress {
    flex-basis: 31%;
  }
  .skills .progress-area .progress > svg {
    height: 11px !important;
    margin-top: 3px;
  }
}
@media (max-width: 768px) {
  .content .content-module {
    padding: 0;
  }
  .profile-info {
    padding: 20px 25px;
  }
  .profile-info .name-box {
    gap: 8px;
  }
  .profile-info .name-box h2 {
    font-size: 30px;
  }
  .profile-info .name-box span {
    font-size: 14px;
  }
  .profile-info .info-list li {
    font-size: 14px;
    margin-top: 5px;
  }
  .mind .mind-wrap {
    display: block;
  }
  .mind strong {
    font-size: 16px;
  }
  .mind p {
    font-size: 14px;
    margin-bottom: 17px;
  }
  .date {
    font-size: 14px;
    line-height: 1.4;
    min-width: 90px;
  }
  .about-desc {
    font-size: 14px;
    line-height: 1.4;
  }
  .education ul li {
    gap: 40px;
    margin-bottom: 10px;
  }
  .education ul li .date {
    white-space: wrap;
  }
  .nowrap {
    display: block;
  }
  .experience ul li {
    gap: 15px;
  }
  .license ul li {
    gap: 15px;
  }
  .license ul li .date {
    min-width: 80px;
  }
  .skills .progress-area .progress {
    flex-basis: 100%;
  }
  .skills .progress-area .progress > svg {
    height: 16px !important;
  }
}
@media (max-width: 500px) {
  .content .content-module {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  .profile-photo  { order: 1; }
  .profile-info   { order: 2; }
  .mind           { order: 3; }
  .education      { order: 4; }
  .license        { order: 5; }
  .experience     { order: 6; }
  .skills         { order: 7; }
  
  .deco { display: none; }
  
  .profile-photo {
    width: 100%;
    height: 100%;
    aspect-ratio: 1 / 1.3; 
    background-position: center;
  }

  .profile-info {
    padding: 20px 25px;
    gap: 15px;
  }
  .profile-info .name-box h2 {
    font-size: 28px;
  }
  .profile-info .info-list li {
    font-size: 14px;
    margin-top: 5px;
  }
  .education ul li {
    gap: 25px;
    margin-bottom: 10px;
  }
}


/* ========================== */
@media (max-width: 1400px) {}
@media (max-width: 1200px) {}
@media (max-width: 768px) {}